curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/orders/{orderId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"orderNumber": "<string>",
"status": "PENDING",
"amount": 123,
"currency": "<string>",
"gateway": "<string>",
"discounted": true,
"discountCode": "<string>",
"customFields": {},
"returnUrl": "<string>",
"items": [
{
"id": "<string>",
"productId": "<string>",
"variantId": "<string>",
"name": "<string>",
"quantity": 123,
"price": 123
}
],
"customer": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"guest": true
},
"billingAddress": {
"id": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"payment": {
"id": "<string>",
"referenceId": "<string>",
"amount": 123,
"discountAmount": 123,
"platformFeeAmount": 123,
"pspFeeAmount": 123,
"taxAmount": 123,
"totalAmount": 123,
"settledAmount": 123,
"status": "PENDING",
"pspProvider": "<string>",
"couponCode": "<string>",
"taxId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"licenses": [
{
"id": "<string>",
"key": "<string>",
"status": "AVAILABLE",
"productId": "<string>",
"variantId": "<string>",
"claimedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/orders/{orderId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"orderNumber": "<string>",
"status": "PENDING",
"amount": 123,
"currency": "<string>",
"gateway": "<string>",
"discounted": true,
"discountCode": "<string>",
"customFields": {},
"returnUrl": "<string>",
"items": [
{
"id": "<string>",
"productId": "<string>",
"variantId": "<string>",
"name": "<string>",
"quantity": 123,
"price": 123
}
],
"customer": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"guest": true
},
"billingAddress": {
"id": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"payment": {
"id": "<string>",
"referenceId": "<string>",
"amount": 123,
"discountAmount": 123,
"platformFeeAmount": 123,
"pspFeeAmount": 123,
"taxAmount": 123,
"totalAmount": 123,
"settledAmount": 123,
"status": "PENDING",
"pspProvider": "<string>",
"couponCode": "<string>",
"taxId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"licenses": [
{
"id": "<string>",
"key": "<string>",
"status": "AVAILABLE",
"productId": "<string>",
"variantId": "<string>",
"claimedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48Order ID (ord_ prefix)
12 - 48